Source: https://atomicwork-preview.docs-staging.pageloop.ai/api-reference/workflows/getapi-v-1-workspaces-workspace-id-request-automations-request-entity-type-actions-action-type-output-fields

# Get output fields for action

GET `https://{tenant}.atomicwork.com/api/v1/workspaces/{workspaceId}/request-automations/{request_entity_type}/actions/{action_type}/output-fields`

## Authorization

#### X-Api-Key (header, string, required)

## Headers

#### X-Workspace-Id (header, string)

## Path Parameters

#### workspaceId (path, integer, required)

Workspace ID (numeric). Find yours under Settings → Workspace.

#### request\_entity\_type (path, enum (string), required)

Automation entity type (see allowed values in the enum schema).

#### action\_type (path, string, required)

Action type identifier string.

## Query Parameters

#### automation\_id (query, string, required)

#### node\_id (query, string, required)

#### filter\_entity (query, enum (string), required)

#### app\_type (query, string)

## Response

#### 200

Successful response

#### Request

```bash cURL
curl -X GET 'https://{tenant}.atomicwork.com/api/v1/workspaces/{workspaceId}/request-automations/{request_entity_type}/actions/{action_type}/output-fields' \
  -H 'X-Api-Key: <api-key>'
```

```javascript JavaScript
const res = await fetch('https://{tenant}.atomicwork.com/api/v1/workspaces/{workspaceId}/request-automations/{request_entity_type}/actions/{action_type}/output-fields', {
  method: 'GET',
  headers: {
    'X-Api-Key': '<api-key>',
  },
});
const data = await res.json();
```

```python Python
import requests

res = requests.get(
    'https://{tenant}.atomicwork.com/api/v1/workspaces/{workspaceId}/request-automations/{request_entity_type}/actions/{action_type}/output-fields',
    headers={'X-Api-Key': '<api-key>'}
)
data = res.json()
```
